Bug 846768 - [TEXT] DisconnectStoragePoolVDSCommand will always log the masterVersion as 0 due to a hard coded value being passed on by DisconnectStoragePoolVDSCommandParameters.
[TEXT] DisconnectStoragePoolVDSCommand will always log the masterVersion as 0...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.0.5
All All
low Severity low
: ---
: 3.1.0
Assigned To: Tal Nisan
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 11:59 EDT by Lee Yarwood
Modified: 2016-02-10 11:34 EST (History)
10 users (show)

See Also:
Fixed In Version: SI19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Yarwood 2012-08-08 11:59:03 EDT
Description of problem:
When DisconnectStoragePoolVDSCommand is called we always log the masterVersion as 0 within rhevm.log. This can cause confusion when attempting to debug an issue related to the masterVersion.

For example, we see the following DisconnectStoragePoolVDSCommand :

102876 2012-07-11 14:26:43,896 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.DisconnectStoragePoolVDSCommand] (QuartzScheduler_Worker-29) START, DisconnectStoragePoolVDSCommand
(storagePoolId = 9b9ccedb-c788-4ed2-bfaf-08be8ef4c1c5, [..] masterVersion = 0), log id: 7cc66fd9

Then shortly after see a DeactivateStorageDomainVDSCommand with a different masterVersion :

102903 2012-07-11 14:26:44,210 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.DeactivateStorageDomainVDSCommand] (QuartzScheduler_Worker-34) START, DeactivateStorageDomainVDSCommand
(storagePoolId = 9b9ccedb-c788-4ed2-bfaf-08be8ef4c1c5, [..] storageDomainId = 7745710c-b03b-465c-ac7b-63cbff3debfa, [..] masterVersion = 2), log id: 18096fb6

Version-Release number of selected component (if applicable):
All.

How reproducible:
Always.

Steps to Reproduce:
1. Any action resulting in DisconnectStoragePoolVDSCommand being called.
2.
3.
  
Actual results:
masterVersion is logged as 0.

Expected results:
masterVersion is logged with the current value.


Additional info:
Comment 1 Tal Nisan 2012-09-10 11:59:01 EDT
http://gerrit.ovirt.org/#/c/7808/
Comment 3 Allon Mureinik 2012-09-11 07:33:41 EDT
Merged I01f0b389508b7b9b30169ba9a1fdfa2effc8d74e
Comment 4 Leonid Natapov 2012-09-27 11:25:48 EDT
si19. fixed. inheritance  switched between connect storage pool VDS command params and disconnect storage pool VDS command params. Now,the correct master version appear in ConnectStoragePool.


2012-09-27 15:57:12,521 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ConnectStoragePoolVDSCommand] (QuartzScheduler_Worker-93) [1e9923c4] START, ConnectS
toragePoolVDSCommand(HostName = purple-vds3, HostId = d14b706a-08a3-11e2-96ad-e3ed8fd4e3f6, storagePoolId = ab3c9366-91c4-4291-ab1a-7af3b55d7bb4, vds_spm_id
= 1, masterDomainId = f26bcf89-dbca-4641-b675-71a0ff7ea520, masterVersion = 1), log id: 74cc5e9e

Note You need to log in before you can comment on or make changes to this bug.